Skip to main content
GET
/
forms
/
{id}
Get a form
curl --request GET \
  --url https://api.spike.ac/forms/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "slug": "<string>",
  "description": "<string>",
  "is_active": true,
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "email_notifications": true,
  "notification_email": "<string>",
  "notification_emails": [
    "<string>"
  ],
  "redirect_url": "<string>",
  "allowed_domains": [
    "<string>"
  ],
  "webhook_enabled": true,
  "webhook_url": "<string>",
  "webhook_secret": "<string>",
  "custom_email_subject": "<string>",
  "custom_email_template": "<string>",
  "auto_responder_enabled": true,
  "auto_responder_subject": "<string>",
  "auto_responder_body": "<string>",
  "auto_responder_from_name": "<string>",
  "auto_responder_include_data": true,
  "slack_enabled": true,
  "slack_webhook_url": "<string>",
  "discord_enabled": true,
  "discord_webhook_url": "<string>",
  "google_sheets_enabled": true,
  "google_sheets_url": "<string>",
  "telegram_enabled": true,
  "telegram_bot_token": "<string>",
  "telegram_chat_id": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://doc.spike.ac/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authentication using either a Supabase JWT token or an API key (prefixed with sk_). Both token types are passed as Bearer tokens in the Authorization header.

Path Parameters

id
string
required

Form ID

Response

Form details

id
string<uuid>
required
name
string
required
slug
string
required
description
string | null
required
is_active
boolean
required
user_id
string<uuid>
required
org_id
string<uuid>
required
email_notifications
boolean
required
notification_email
string | null
required
notification_emails
string[] | null
required
redirect_url
string | null
required
allowed_domains
string[] | null
required
webhook_enabled
boolean
required
webhook_url
string | null
required
webhook_secret
string | null
required
custom_email_subject
string | null
required
custom_email_template
string | null
required
auto_responder_enabled
boolean
required
auto_responder_subject
string | null
required
auto_responder_body
string | null
required
auto_responder_from_name
string | null
required
auto_responder_include_data
boolean
required
slack_enabled
boolean
required
slack_webhook_url
string | null
required
discord_enabled
boolean
required
discord_webhook_url
string | null
required
google_sheets_enabled
boolean
required
google_sheets_url
string | null
required
telegram_enabled
boolean
required
telegram_bot_token
string | null
required
telegram_chat_id
string | null
required
created_at
string
required
updated_at
string
required